﻿
$ErrorActionPreference = 'Stop';

$packageName= $env:ChocolateyPackageName
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.microsoft.com/download/8/4/C/84C895E1-23B0-44A0-810C-460657093DEC/OfficeRemoteSetup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'Microsoft Office Remote*'

  checksum      = '45B689AE1C9E4886A1E602D4241222B894C5B77AF903ED26B317EDAF2C81BA9F'
  checksumType  = 'sha256'

  silentArgs   = '/install /quiet /norestart'
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs